Retrieves a blog by URL.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/blogs/getByUrl#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/blogs/getByUrl#examples).

[Authorization](https://developers.google.com/blogger/docs/3.0/using#auth) is required if the blog is private. If the blog is public, then this method can be called without authorization.

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/byurl
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `url` | `string` | The URL of the blog to retrieve. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Blogs resource](https://developers.google.com/blogger/docs/3.0/reference/blogs#resource) in the response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
String CODE_BLOG_URL = "http://code.blogger.com/";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.Blogge
r blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)	.setA
pplicationName("Blogger-BlogGetByUrl-Snippet/1.0")	.setH
ttpRequestInitializer(credential).build();

 class="devsite-syntax-c1">// The request action object.GetByU
rl blogGetByUrlAction = blogger.blogs().getByUrl();

 class="devsite-syntax-c1">// Configure which blog URL to look up.blogGe
tByUrlAction.setUrl(CODE_BLOG_URL);

 class="devsite-syntax-c1">// Restrict the result content to just the data we need.blogGe
tByUrlAction.setFields("description,name,posts/totalItems,updated");an>

 class="devsite-syntax-c1">// This step sends the request to the server.Blog b
log = blogGetByUrlAction.execute();

 class="devsite-syntax-c1">// Now we can navigate the response.System
.out.println("Name: " + blog.getName());System
.out.println("Description: " + blog.getDescription());System
.out.println("Post Count: " + blog.getPosts().getTotalItems());System
.out.println("Last Updated: " + blog.getUpdated());
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.